Bug 483146 - libmodplug crashes when fed a mpeg2 file
libmodplug crashes when fed a mpeg2 file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libmodplug (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 15:49 EST by Pasi Sjöholm
Modified: 2009-04-28 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 12:49:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of VLC being crashed when used with libmodplug. (49.30 KB, text/plain)
2009-01-29 15:49 EST, Pasi Sjöholm
no flags Details

  None (edit)
Description Pasi Sjöholm 2009-01-29 15:49:31 EST
Created attachment 330401 [details]
Backtrace of VLC being crashed when used with libmodplug.

Description of problem:
VLC 0.9.8a crahes when opening a mpeg2-file with .mod-extension. (JVC
Everio digital camera uses .mod-extension on it's recorded mpeg2-files)

libmodplug fails on invalid input.

Version-Release number of selected component (if applicable):
libmodplug-0.8.4-3.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Start VLC
2. Try to open mpeg2-file which has extension of .mod.
3. Crash.
  
Actual results:
Crash.

Expected results:
A warning that the file cannot be played.

Additional info:
Comment 1 Ville Skyttä 2009-01-29 17:41:11 EST
Seems reproducible with plain modplugplay so it's not specific to vlc, adjusting summary accordingly.
Comment 2 Ville Skyttä 2009-04-07 14:47:34 EDT
Bug report forwarded upstream at https://sourceforge.net/tracker/?func=detail&aid=2741487&group_id=1275&atid=101275

Could you attach a small MPEG file or part of one that can be used to reproduce the exact crash you're seeing?
Comment 3 Fedora Update System 2009-04-14 12:46:10 EDT
libmodplug-0.8.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libmodplug-0.8.5-1.fc10
Comment 4 Ville Skyttä 2009-04-14 12:50:43 EDT
Please test 0.8.5-1.fc10 - it obviously won't be able to do anything useful with  MPEG files but the crash cases I could find no longer crash here.
Comment 5 Fedora Update System 2009-04-15 14:00:52 EDT
libmodplug-0.8.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmodplug'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3696
Comment 6 Fedora Update System 2009-04-27 16:40:02 EDT
libmodplug-0.8.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libmodplug-0.8.7-1.fc10
Comment 7 Fedora Update System 2009-04-27 16:42:35 EDT
libmodplug-0.8.7-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libmodplug-0.8.7-1.fc9
Comment 8 Fedora Update System 2009-04-27 21:19:11 EDT
libmodplug-0.8.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-27 21:19:32 EDT
libmodplug-0.8.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.